'                        CIM-BASE Gmbh Consulting und Engineering
'                            Einsteistrae 11 - 74372 Sersheim
'                       Telefon 07042 84101-0 - Fax 07042 84101-33
'                            mail@cim-base.de - www.cim-base.de
' --------------------------------------------------------------------------------------
'
' BESCHREIBUNG
' Nummeriert die Bltter innerhalb von Anlagen.
'
'
' NDERUNGSHOISTROY
' 2008-03-12	DR		01	Skript erstellt
' -EOH-


Option Explicit

Dim SCRIPT_NAME, SCRIPT_VERSION
SCRIPT_NAME = "SheetRenumber"
SCRIPT_VERSION = "01"

Dim E3, Prj, Dev, Con, Sht, Sym, Cor, Pin, Seg, Att, Txt, Fld
Dim ShtIds, sh
Dim ShtAssignment
Dim ShtNum
Dim Assignments, a
Dim ExistingAss
Dim NO_INCREMENT, NO_START

NO_INCREMENT = 1		'Schrittweite
NO_START = 1			'Erster Blattname


Set E3 = CreateObject("Ct.Application")
If E3 Is Nothing Then
	MsgBox "E.series konnte nicht gestarte werden", vbCritical, SCRIPT_NAME
	WScript.Quit
Else
	Set Prj = CreateObject("Ct.Job")
	Set Sht = CreateObject("Ct.Sheet")
	
	Set ExistingAss = CreateObject("Scripting.Dictionary")
	
	E3.AvoidAutomaticClosing 1
End If	

E3.Display
E3.ClearOutputWindow
E3.PutInfo 0, now & " Script '" & SCRIPT_NAME & "' Version " & SCRIPT_VERSION & " gestartet"


If Prj.GetId = 0 Then 'Kein Projekt geffnet
	E3.PutError 1, "Es ist kein Projekt geffnet!"
Else 'Konvertieren
	E3.PutMessage "Projekt: " & Prj.GetName
	
	Prj.GetSheetIds ShtIds
	For sh = 1 To UBound(ShtIds)
		Sht.SetId ShtIds(sh)
		ShtAssignment = Sht.GetAssignment
		If ExistingAss.exists (ShtAssignment) Then
			ShtNum = ExistingAss.item (ShtAssignment)
			ShtNum = ShtNum + 1
		Else
				ShtNum = 1
		End If
		ExistingAss.item (ShtAssignment) = ShtNum
	Next 'For sh = 1 To UBound(ShtIds)
	
	Assignments = ExistingAss.Keys
	For a = 0 To UBound(Assignments)
		ShtNum = NO_START
		For sh = 1 To UBound(ShtIds)
			Sht.SetId ShtIds(sh)
			If Sht.GetAssignment = Assignments(a) Then
				Sht.SetName ShtNum
				ShtNum = ShtNum + NO_INCREMENT
			End If
		Next 'For sh = 1 To UBound(ShtIds)
	Next 'For a = 0 To UBound(Assignments)
End If 'If Prj.GetId = 0 Then

E3.PutInfo 1, now & " Script '" & SCRIPT_NAME & "' Version " & SCRIPT_VERSION & " beendet"	

Set Prj = Nothing
Set E3 = Nothing